"use strict";
function Selectable() {
    return function (target) {
        var toggle = function (item) {
            if (this.multiple === false) {
                return;
            }
            if (this.isSelected(item)) {
                this.selected = this.selected.filter(function (value) { return value !== item; });
            }
            else {
                this.selected.push(item);
            }
        };
        Object.assign(target.prototype, {
            toggle: toggle
        });
    };
}
exports.Selectable = Selectable;
//# sourceMappingURL=selectable.js.map